## org.eclipse.datatools.modelbase.sql.query
Interface TableExpression

All Superinterfaces:
  SQLObject, SQLQueryObject, TableReference

All Known Subinterfaces:
  QueryCombined, QueryExpressionBody, QuerySelect, QueryValues, TableFunction, TableInDatabase, WithTableReference, XMLTableFunction

All Known Implementing Classes:
  QueryCombinedImpl, QueryExpressionBodyImpl, QuerySelectImpl, QueryValuesImpl, TableExpressionImpl, TableFunctionImpl, TableInDatabaseImpl, WithTableReferenceImpl, XMLTableFunctionImpl

public interface TableExpression
extends TableReference

A representation of the model object 'SQL Table Expression'.

The following features are supported:

- `Column List`
- `Table Correlation`
- `Result Table All Columns`
- `Value Expr Columns`

See Also:
  `SQLQueryModelPackage.getTableExpression()`

Method Summary
`EList` `getColumnList()` Returns the value of the 'Column List' containment reference list.
`EList` `getResultTableAllColumns()` Returns the value of the 'Result Table All Columns' reference list.
`TableCorrelation` `getTableCorrelation()` Returns the value of the 'Table Correlation' containment reference.
`EList` `getValueExprColumns()` Returns the value of the 'Value Expr Columns' reference list.
`void` `setTableCorrelation(TableCorrelation value)` Sets the value of the '`Table Correlation`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableReference
`getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getColumnList

    public EList getColumnList()

  Returns the value of the 'Column List' containment reference list. The list contents are of type `ValueExpressionColumn`. It is bidirectional and its opposite is '`Parent Table Expr`'.

  If the meaning of the 'Column List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Column List' containment reference list.
  See Also:
    `SQLQueryModelPackage.getTableExpression_ColumnList()`, `ValueExpressionColumn.getParentTableExpr()`

### getTableCorrelation

    public TableCorrelation getTableCorrelation()

  Returns the value of the 'Table Correlation' containment reference. It is bidirectional and its opposite is '`Table Expr`'.

  If the meaning of the 'Table Correlation' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Table Correlation' containment reference.
  See Also:
    `setTableCorrelation(TableCorrelation)`, `SQLQueryModelPackage.getTableExpression_TableCorrelation()`, `TableCorrelation.getTableExpr()`

### setTableCorrelation

    public void setTableCorrelation(TableCorrelation value)

  Sets the value of the '`Table Correlation`' containment reference.

  Parameters:
    `value` - the new value of the 'Table Correlation' containment reference.
  See Also:
    `getTableCorrelation()`

### getResultTableAllColumns

    public EList getResultTableAllColumns()

  Returns the value of the 'Result Table All Columns' reference list. The list contents are of type `ResultTableAllColumns`. It is bidirectional and its opposite is '`Table Expr`'.

  If the meaning of the 'Result Table All Columns' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Result Table All Columns' reference list.
  See Also:
    `SQLQueryModelPackage.getTableExpression_ResultTableAllColumns()`, `ResultTableAllColumns.getTableExpr()`

### getValueExprColumns

    public EList getValueExprColumns()

  Returns the value of the 'Value Expr Columns' reference list. The list contents are of type `ValueExpressionColumn`. It is bidirectional and its opposite is '`Table Expr`'.

  If the meaning of the 'Value Expr Columns' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr Columns' reference list.
  See Also:
    `SQLQueryModelPackage.getTableExpression_ValueExprColumns()`, `ValueExpressionColumn.getTableExpr()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.